@import "../base/variable.scss";
@import "../base/mixins.scss";


.membership_plan_section {
    .membership_plan_area {
        padding-top: 80px;
        padding-bottom: 120px;

        .detail_area {
            h1 {
                font-size: 56px;
                color: $primary_color;
                font-weight: 600;
                padding-bottom: 20px;
            }

            p {
                font-size: 14px;
                color: $offfspra2;
                padding-bottom: 40px;
            }

            h2 {
                font-size: 36px;
                color: $primary_color;
                font-weight: 600;
                padding-bottom: 22px;
            }

            .off_area {
                p {
                    font-size: 14px;
                    color: $red;
                    padding-bottom: 40px;
                    font-weight: 600;
                }
            }

            .choose_btn {
                border-bottom: 2px solid $border-gray;
                padding-bottom: 60px;

                ul {
                    display: inline-flex;

                    li {
                        padding-right: 30px;

                        &.active {
                            .btn-primary-6 {
                                background-color: $primary_color;
                                border-color: $primary_color;
                                color: $white;
                            }
                        }
                    }
                }
            }
        }

        .plan_detail {
            padding-left: 150px;
            padding-right: 150px;

            .items_detail_area {
                padding-top: 90px;

                .item {
                    .plans_ment {
                        box-shadow: 0px 0px 6px rgba(0, 0, 0, 0.25);
                        border-radius: 15px;
                        text-align: center;
                        padding: 0px 30px;
                        transform: translateY(0px);
                        @include transition(0.5s ease);

                        &:hover {
                            transform: translateY(-60px);
                            box-shadow: 0px 0px 30px rgba(0, 0, 0, 0.1);
                            @include transition(0.5s ease);

                            .view {
                                visibility: visible;
                                @include transition(0.2s ease);
                            }
                        }

                        .plan_gb {
                            position: relative;
                            color: $white;
                            z-index: 1;
                            font-size: 24px;
                            font-weight: 600;
                            padding-top: 5px;

                            &::after {
                                position: absolute;
                                content: "";
                                top: -5px;
                                left: 30px;
                                right: 30px;
                                height: 60px;
                                background-color: $red;
                                border-radius: 5px 5px 30px 30px;
                                box-shadow: 0px 0px 6px rgba(0, 0, 0, 0.25);
                                z-index: -1;
                            }
                        }

                        .desp {
                            padding-top: 30px;

                            p {
                                color: $offfspra2;
                            }
                        }

                        .pice {
                            padding: 20px 0;

                            h2 {
                                font-size: 48px;
                                color: $primary_color;
                            }

                            p {
                                color: $offfspra2;
                                padding-top: 10px;
                            }
                        }

                        .benfit {
                            padding-bottom: 49px;

                            ul {
                                li {
                                    text-align: start;
                                    padding-left: 25px;
                                    position: relative;
                                    padding-bottom: 15px;

                                    &::after {
                                        position: absolute;
                                        content: "";
                                        left: 0;
                                        top: 8px;
                                        background-color: $red;
                                        width: 12px;
                                        height: 12px;
                                        border-radius: 50%;
                                    }
                                    p{
                                        font-size: 15px;
                                    }
                                }
                            }
                        }

                        .view {
                            position: relative;
                            bottom: -20px;
                            visibility: hidden;
                            @include transition(0.2s ease);
                        }
                    }
                }
            }
        }
    }
}




/* Extra Huge large desktops */
@media (min-width: 1920px) {}

/* Extra Huge large desktops */
@media (min-width: 1680px) and (max-width: 1919px) {}

/* Extra Huge large desktops */
@media (min-width: 1600px) and (max-width: 1679px) {}

/* Extra large desktops and mac laptops*/
@media (min-width: 1400px) and (max-width: 1599px) {}

@media (min-width: 1200px) and (max-width: 1399px) {}

/* Landscape tablets and medium desktops */
@media (min-width: 992px) and (max-width: 1199px) {
    .membership_plan_section {
        .membership_plan_area {
            padding-top: 80px;
            padding-bottom: 120px;

            .detail_area {
                h1 {
                    font-size: 50px;
                    color: $primary_color;
                    font-weight: 600;
                    padding-bottom: 20px;
                }
            }

            .plan_detail {
                padding-left: 30px;
                padding-right: 30px;
            }
        }
    }

}

/* Landscape tablets and ipad */
@media (min-width: 768px) and (max-width: 991px) {
    .membership_plan_section {
        .membership_plan_area {
            padding-top: 80px;
            padding-bottom: 100px;

            .detail_area {
                h1 {
                    font-size: 50px;
                    color: $primary_color;
                    font-weight: 600;
                    padding-bottom: 20px;
                }
            }

            .plan_detail {
                padding-left: 30px;
                padding-right: 30px;

                .items_detail_area {
                    padding-top: 90px;

                    .item {
                        .plans_ment {
                            box-shadow: 0px 0px 6px rgba(0, 0, 0, 0.25);
                            border-radius: 15px;
                            text-align: center;
                            padding: 0px 16px;
                            transform: translateY(0px);
                            @include transition(0.5s ease);

                            &:hover {
                                transform: translateY(0px);
                                box-shadow: 0px 0px 30px rgba(0, 0, 0, 0.1);
                                @include transition(0.5s ease);

                                .view {
                                    visibility: visible;
                                    @include transition(0.2s ease);
                                }
                            }
                            

                            .plan_gb {
                                position: relative;
                                color: $white;
                                z-index: 1;
                                font-size: 22px;
                                font-weight: 600;
                                padding-top: 5px;

                                &::after {
                                    position: absolute;
                                    content: "";
                                    top: -5px;
                                    left: 30px;
                                    right: 30px;
                                    height: 55px;
                                    background-color: $red;
                                    border-radius: 5px 5px 30px 30px;
                                    box-shadow: 0px 0px 6px rgba(0, 0, 0, 0.25);
                                    z-index: -1;
                                }
                            }

                            .desp {
                                padding-top: 30px;

                                p {
                                    color: $offfspra2;
                                }
                            }

                            .pice {
                                padding: 20px 0;

                                h2 {
                                    font-size: 40px;
                                    color: $primary_color;
                                }

                                p {
                                    color: $offfspra2;
                                    padding-top: 10px;
                                }
                            }

                            .benfit {
                                padding-bottom: 49px;

                                ul {
                                    li {
                                        text-align: start;
                                        padding-left: 25px;
                                        position: relative;
                                        padding-bottom: 15px;

                                        &::after {
                                            position: absolute;
                                            content: "";
                                            left: 0;
                                            top: 8px;
                                            background-color: $red;
                                            width: 12px;
                                            height: 12px;
                                            border-radius: 50%;
                                        }
                                    }
                                }
                            }

                            .view {
                                position: relative;
                                bottom: -20px;
                                visibility: visible;
                                @include transition(0.2s ease);
                            }
                        }
                    }
                }
            }
        }
    }
}

/* Landscape phones and portrait tablets */
@media (min-width: 576px) and (max-width: 767px) {
    .membership_plan_section {
        .membership_plan_area {
            padding-top: 50px;
            padding-bottom: 70px;

            .detail_area {
                h1 {
                    font-size: 50px;
                    color: $primary_color;
                    font-weight: 600;
                    padding-bottom: 20px;
                }
            }

            .plan_detail {
                padding-left: 30px;
                padding-right: 30px;

                .items_detail_area {
                    padding-top: 70px;

                    .item {
                        .plans_ment {
                            box-shadow: 0px 0px 6px rgba(0, 0, 0, 0.25);
                            border-radius: 15px;
                            text-align: center;
                            padding: 0px 16px;
                            transform: translateY(0px);
                            @include transition(0.5s ease);

                            &:hover {
                                transform: translateY(0px);
                                box-shadow: 0px 0px 30px rgba(0, 0, 0, 0.1);
                                @include transition(0.5s ease);

                                .view {
                                    visibility: visible;
                                    @include transition(0.2s ease);
                                }
                            }

                            .plan_gb {
                                position: relative;
                                color: $white;
                                z-index: 1;
                                font-size: 22px;
                                font-weight: 600;
                                padding-top: 5px;

                                &::after {
                                    position: absolute;
                                    content: "";
                                    top: -5px;
                                    left: 30px;
                                    right: 30px;
                                    height: 55px;
                                    background-color: $red;
                                    border-radius: 5px 5px 30px 30px;
                                    box-shadow: 0px 0px 6px rgba(0, 0, 0, 0.25);
                                    z-index: -1;
                                }
                            }

                            .desp {
                                padding-top: 30px;

                                p {
                                    color: $offfspra2;
                                }
                            }

                            .pice {
                                padding: 20px 0;

                                h2 {
                                    font-size: 40px;
                                    color: $primary_color;
                                }

                                p {
                                    color: $offfspra2;
                                    padding-top: 10px;
                                }
                            }

                            .benfit {
                                padding-bottom: 49px;

                                ul {
                                    li {
                                        text-align: start;
                                        padding-left: 25px;
                                        position: relative;
                                        padding-bottom: 15px;

                                        &::after {
                                            position: absolute;
                                            content: "";
                                            left: 0;
                                            top: 8px;
                                            background-color: $red;
                                            width: 12px;
                                            height: 12px;
                                            border-radius: 50%;
                                        }
                                    }
                                }
                            }

                            .view {
                                position: relative;
                                bottom: -20px;
                                visibility: visible;
                                @include transition(0.2s ease);
                            }
                        }
                    }
                }
            }
        }
    }
}

/* Landscape phones and portrait tablets */
@media (min-width: 361px) and (max-width: 575px) {
    .membership_plan_section {
        .membership_plan_area {
            padding-top: 40px;
            padding-bottom: 80px;

            .detail_area {
                h1 {
                    font-size: 38px;
                    padding-bottom: 20px;
                }

                p {
                    font-size: 14px;
                    padding-bottom: 20px;
                }

                h2 {
                    font-size: 28px;
                    padding-bottom: 22px;
                }

                .off_area {
                    p {
                        font-size: 14px;
                        padding-bottom: 40px;
                    }
                }

                .choose_btn {
                    padding-bottom: 60px;

                    ul {
                        li {
                            padding-right: 0px;
                            .btn-primary-6 {
                                background-color: transparent;
                                border: 1px solid $accdn;
                                color: #111111;
                                border-radius: 15px;
                                line-height: 50px;
                                padding: 0 30px;
                                font-size: 14px;
                                margin-left: 10px;
                            }
                        }
                    }
                }
            }

            .plan_detail {
                padding-left: 10px;
                padding-right: 10px;

                .items_detail_area {
                    padding-top: 90px;

                    .item {
                        .plans_ment {
                            box-shadow: 0px 0px 6px rgba(0, 0, 0, 0.25);
                            border-radius: 15px;
                            text-align: center;
                            padding: 0px 16px;
                            transform: translateY(0px);
                            @include transition(0.5s ease);
                            &:hover {
                                transform: translateY(0px);
                                @include transition(0.5s ease);
                            }
                            .plan_gb {
                                position: relative;
                                color: $white;
                                z-index: 1;
                                font-size: 22px;
                                font-weight: 600;
                                padding-top: 5px;

                                &::after {
                                    position: absolute;
                                    content: "";
                                    top: -5px;
                                    left: 30px;
                                    right: 30px;
                                    height: 55px;
                                    background-color: $red;
                                    border-radius: 5px 5px 30px 30px;
                                    box-shadow: 0px 0px 6px rgba(0, 0, 0, 0.25);
                                    z-index: -1;
                                }
                            }

                            .desp {
                                padding-top: 30px;

                                p {
                                    color: $offfspra2;
                                }
                            }

                            .pice {
                                padding: 20px 0;

                                h2 {
                                    font-size: 40px;
                                    color: $primary_color;
                                }

                                p {
                                    color: $offfspra2;
                                    padding-top: 10px;
                                }
                            }

                            .benfit {
                                padding-bottom: 49px;

                                ul {
                                    li {
                                        text-align: start;
                                        padding-left: 25px;
                                        position: relative;
                                        padding-bottom: 15px;

                                        &::after {
                                            position: absolute;
                                            content: "";
                                            left: 0;
                                            top: 8px;
                                            background-color: $red;
                                            width: 12px;
                                            height: 12px;
                                            border-radius: 50%;
                                        }
                                    }
                                }
                            }

                            .view {
                                position: relative;
                                bottom: -20px;
                                visibility: visible;
                                @include transition(0.2s ease);
                            }
                        }
                    }
                }
            }
        }
    }
}

/* Smaller phones */
@media (max-width: 360px) {
    .membership_plan_section {
        .membership_plan_area {
            padding-top: 40px;
            padding-bottom: 80px;

            .detail_area {
                h1 {
                    font-size: 38px;
                    padding-bottom: 20px;
                }

                p {
                    font-size: 14px;
                    padding-bottom: 20px;
                }

                h2 {
                    font-size: 28px;
                    padding-bottom: 22px;
                }

                .off_area {
                    p {
                        font-size: 14px;
                        padding-bottom: 40px;
                    }
                }

                .choose_btn {
                    padding-bottom: 60px;

                    ul {
                        li {
                            padding-right: 0px;
                            .btn-primary-6 {
                                background-color: transparent;
                                border: 1px solid $accdn;
                                color: #111111;
                                border-radius: 15px;
                                line-height: 50px;
                                padding: 0 30px;
                                font-size: 14px;
                                margin-left: 10px;
                            }
                        }
                    }
                }
            }

            .plan_detail {
                padding-left: 10px;
                padding-right: 10px;

                .items_detail_area {
                    padding-top: 90px;

                    .item {
                        .plans_ment {
                            box-shadow: 0px 0px 6px rgba(0, 0, 0, 0.25);
                            border-radius: 15px;
                            text-align: center;
                            padding: 0px 16px;
                            transform: translateY(0px);
                            @include transition(0.5s ease);
                            &:hover {
                                transform: translateY(0px);
                                @include transition(0.5s ease);
                            }

                            .plan_gb {
                                position: relative;
                                color: $white;
                                z-index: 1;
                                font-size: 22px;
                                font-weight: 600;
                                padding-top: 5px;

                                &::after {
                                    position: absolute;
                                    content: "";
                                    top: -5px;
                                    left: 30px;
                                    right: 30px;
                                    height: 55px;
                                    background-color: $red;
                                    border-radius: 5px 5px 30px 30px;
                                    box-shadow: 0px 0px 6px rgba(0, 0, 0, 0.25);
                                    z-index: -1;
                                }
                            }

                            .desp {
                                padding-top: 30px;

                                p {
                                    color: $offfspra2;
                                }
                            }

                            .pice {
                                padding: 20px 0;

                                h2 {
                                    font-size: 40px;
                                    color: $primary_color;
                                }

                                p {
                                    color: $offfspra2;
                                    padding-top: 10px;
                                }
                            }

                            .benfit {
                                padding-bottom: 49px;

                                ul {
                                    li {
                                        text-align: start;
                                        padding-left: 25px;
                                        position: relative;
                                        padding-bottom: 15px;

                                        &::after {
                                            position: absolute;
                                            content: "";
                                            left: 0;
                                            top: 8px;
                                            background-color: $red;
                                            width: 12px;
                                            height: 12px;
                                            border-radius: 50%;
                                        }
                                    }
                                }
                            }

                            .view {
                                position: relative;
                                bottom: -20px;
                                visibility: visible;
                                @include transition(0.2s ease);
                            }
                        }
                    }
                }
            }
        }
    }
}

/* Smaller phones */
@media (max-width: 320px) {
    .membership_plan_section {
        .membership_plan_area {
            padding-top: 40px;
            padding-bottom: 80px;

            .detail_area {
                h1 {
                    font-size: 32px;
                    padding-bottom: 14px;
                }

                p {
                    font-size: 14px;
                    color: $offfspra2;
                    padding-bottom: 20px;
                }

                h2 {
                    font-size: 24px;
                    padding-bottom: 22px;
                }

                .choose_btn {
                   padding-bottom: 40px;

                    ul { 
                        li {
                            padding-right: 0px;
                            .btn-primary-6 {
                                background-color: transparent;
                                border: 1px solid $accdn;
                                color: #111111;
                                border-radius: 15px;
                                line-height: 50px;
                                padding: 0 20px;
                                font-size: 14px;
                               margin-left: 10px;
                            }
                        }
                    }
                }
            }

            .plan_detail {
                padding-left: 10px;
                padding-right: 10px;

                .items_detail_area {
                    padding-top: 90px;

                    .item {
                        .plans_ment {
                            padding: 0px 16px;
                            .plan_gb {
                               font-size: 22px;
                                 &::after {
                                    height: 55px;
                                    background-color: $red;
                                    border-radius: 5px 5px 30px 30px;
                                   
                                }
                            }

                            .desp {
                                padding-top: 30px;
                            }

                            .pice {
                                padding: 20px 0;

                                h2 {
                                    font-size: 40px;
                                    color: $primary_color;
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}
